QuoteRequestRejectReason (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.messaging

## Enum QuoteRequestRejectReason

- java.lang.Object
- - java.lang.Enum<QuoteRequestRejectReason>
  - - com.marketfactory.messaging.QuoteRequestRejectReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QuoteRequestRejectReason>

      public enum QuoteRequestRejectReason
      extends java.lang.Enum<QuoteRequestRejectReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `EXCEEDS_LIMIT`
    `INVALID_AMOUNT`
    `INVALID_SETTLDATE`
    `NOT_ALLOWED`
    `NOT_AVAILABLE`
    `OTHER`
    `PASS`
    `UNKNOWN_SYMBOL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static QuoteRequestRejectReason` | `get(byte value)`
    `static java.util.Collection<QuoteRequestRejectReason>` | `validValues()`
    `static QuoteRequestRejectReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QuoteRequestRejectReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final QuoteRequestRejectReason OTHER

    - #### UNKNOWN_SYMBOL

          public static final QuoteRequestRejectReason UNKNOWN_SYMBOL

    - #### NOT_ALLOWED

          public static final QuoteRequestRejectReason NOT_ALLOWED

    - #### PASS

          public static final QuoteRequestRejectReason PASS

    - #### EXCEEDS_LIMIT

          public static final QuoteRequestRejectReason EXCEEDS_LIMIT

    - #### NOT_AVAILABLE

          public static final QuoteRequestRejectReason NOT_AVAILABLE

    - #### INVALID_SETTLDATE

          public static final QuoteRequestRejectReason INVALID_SETTLDATE

    - #### INVALID_AMOUNT

          public static final QuoteRequestRejectReason INVALID_AMOUNT

    - #### _INVALID

          public static final QuoteRequestRejectReason _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static QuoteRequestRejectReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuoteRequestRejectReason c : QuoteRequestRejectReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuoteRequestRejectReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static QuoteRequestRejectReason get(byte value)

    - #### validValues

          public static java.util.Collection<QuoteRequestRejectReason> validValues()